## org.eclipse.emf.compare.match.metamodel
Interface MatchPackage.Literals

Enclosing interface:
  MatchPackage

    public static interface MatchPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `MATCH_ELEMENT` The meta object literal for the '`Element`' class
`static org.eclipse.emf.ecore.EAttribute` `MATCH_ELEMENT__SIMILARITY` The meta object literal for the 'Similarity' attribute feature.
`static org.eclipse.emf.ecore.EReference` `MATCH_ELEMENT__SUB_MATCH_ELEMENTS` The meta object literal for the 'Sub Match Elements' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `MATCH_MODEL` The meta object literal for the '`Model`' class
`static org.eclipse.emf.ecore.EReference` `MATCH_MODEL__ANCESTOR_ROOTS` The meta object literal for the 'Ancestor Roots' reference list feature
`static org.eclipse.emf.ecore.EReference` `MATCH_MODEL__LEFT_ROOTS` The meta object literal for the 'Left Roots' reference list feature
`static org.eclipse.emf.ecore.EReference` `MATCH_MODEL__MATCHED_ELEMENTS` The meta object literal for the 'Matched Elements' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `MATCH_MODEL__RIGHT_ROOTS` The meta object literal for the 'Right Roots' reference list feature
`static org.eclipse.emf.ecore.EReference` `MATCH_MODEL__UNMATCHED_ELEMENTS` The meta object literal for the 'Unmatched Elements' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `MATCH_RESOURCE_SET` The meta object literal for the '`Resource Set`' class
`static org.eclipse.emf.ecore.EReference` `MATCH_RESOURCE_SET__MATCH_MODELS` The meta object literal for the 'Match Models' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `MATCH_RESOURCE_SET__UNMATCHED_MODELS` The meta object literal for the 'Unmatched Models' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `MATCH2_ELEMENTS` The meta object literal for the '`Match2 Elements`' class
`static org.eclipse.emf.ecore.EReference` `MATCH2_ELEMENTS__LEFT_ELEMENT` The meta object literal for the 'Left Element' reference feature.
`static org.eclipse.emf.ecore.EReference` `MATCH2_ELEMENTS__RIGHT_ELEMENT` The meta object literal for the 'Right Element' reference feature.
`static org.eclipse.emf.ecore.EClass` `MATCH3_ELEMENTS` The meta object literal for the '`Match3 Elements`' class
`static org.eclipse.emf.ecore.EReference` `MATCH3_ELEMENTS__ORIGIN_ELEMENT` The meta object literal for the 'Origin Element' reference feature
`static org.eclipse.emf.ecore.EEnum` `SIDE` The meta object literal for the '`Side`' enum
`static org.eclipse.emf.ecore.EClass` `UNMATCH_ELEMENT` The meta object literal for the '`Unmatch Element`' class
`static org.eclipse.emf.ecore.EAttribute` `UNMATCH_ELEMENT__CONFLICTING` The meta object literal for the 'Conflicting' attribute feature
`static org.eclipse.emf.ecore.EReference` `UNMATCH_ELEMENT__ELEMENT` The meta object literal for the 'Element' reference feature
`static org.eclipse.emf.ecore.EAttribute` `UNMATCH_ELEMENT__REMOTE` The meta object literal for the 'Remote' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `UNMATCH_ELEMENT__SIDE` The meta object literal for the 'Side' attribute feature
`static org.eclipse.emf.ecore.EClass` `UNMATCH_MODEL` The meta object literal for the '`Unmatch Model`' class
`static org.eclipse.emf.ecore.EAttribute` `UNMATCH_MODEL__REMOTE` The meta object literal for the 'Remote' attribute feature
`static org.eclipse.emf.ecore.EReference` `UNMATCH_MODEL__ROOTS` The meta object literal for the 'Roots' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `UNMATCH_MODEL__SIDE` The meta object literal for the 'Side' attribute feature

Field Detail

### MATCH_ELEMENT

    static final org.eclipse.emf.ecore.EClass MATCH_ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `MatchElementImpl`, `MatchPackageImpl.getMatchElement()`

### MATCH_ELEMENT__SIMILARITY

    static final org.eclipse.emf.ecore.EAttribute MATCH_ELEMENT__SIMILARITY

  The meta object literal for the 'Similarity' attribute feature.

### MATCH_ELEMENT__SUB_MATCH_ELEMENTS

    static final org.eclipse.emf.ecore.EReference MATCH_ELEMENT__SUB_MATCH_ELEMENTS

  The meta object literal for the 'Sub Match Elements' containment reference list feature.

### MATCH_MODEL

    static final org.eclipse.emf.ecore.EClass MATCH_MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `MatchModelImpl`, `MatchPackageImpl.getMatchModel()`

### MATCH_MODEL__MATCHED_ELEMENTS

    static final org.eclipse.emf.ecore.EReference MATCH_MODEL__MATCHED_ELEMENTS

  The meta object literal for the 'Matched Elements' containment reference list feature.

### MATCH_MODEL__UNMATCHED_ELEMENTS

    static final org.eclipse.emf.ecore.EReference MATCH_MODEL__UNMATCHED_ELEMENTS

  The meta object literal for the 'Unmatched Elements' containment reference list feature.

### MATCH_MODEL__LEFT_ROOTS

    static final org.eclipse.emf.ecore.EReference MATCH_MODEL__LEFT_ROOTS

  The meta object literal for the 'Left Roots' reference list feature.

### MATCH_MODEL__RIGHT_ROOTS

    static final org.eclipse.emf.ecore.EReference MATCH_MODEL__RIGHT_ROOTS

  The meta object literal for the 'Right Roots' reference list feature.

### MATCH_MODEL__ANCESTOR_ROOTS

    static final org.eclipse.emf.ecore.EReference MATCH_MODEL__ANCESTOR_ROOTS

  The meta object literal for the 'Ancestor Roots' reference list feature.

### UNMATCH_MODEL

    static final org.eclipse.emf.ecore.EClass UNMATCH_MODEL

  The meta object literal for the '`Unmatch Model`' class.

  See Also:
    `UnmatchModelImpl`, `MatchPackageImpl.getUnmatchModel()`

### UNMATCH_MODEL__ROOTS

    static final org.eclipse.emf.ecore.EReference UNMATCH_MODEL__ROOTS

  The meta object literal for the 'Roots' reference list feature.

### UNMATCH_MODEL__REMOTE

    static final org.eclipse.emf.ecore.EAttribute UNMATCH_MODEL__REMOTE

  The meta object literal for the 'Remote' attribute feature.

### UNMATCH_MODEL__SIDE

    static final org.eclipse.emf.ecore.EAttribute UNMATCH_MODEL__SIDE

  The meta object literal for the 'Side' attribute feature.

### MATCH2_ELEMENTS

    static final org.eclipse.emf.ecore.EClass MATCH2_ELEMENTS

  The meta object literal for the '`Match2 Elements`' class.

  See Also:
    `Match2ElementsImpl`, `MatchPackageImpl.getMatch2Elements()`

### MATCH2_ELEMENTS__LEFT_ELEMENT

    static final org.eclipse.emf.ecore.EReference MATCH2_ELEMENTS__LEFT_ELEMENT

  The meta object literal for the 'Left Element' reference feature.

### MATCH2_ELEMENTS__RIGHT_ELEMENT

    static final org.eclipse.emf.ecore.EReference MATCH2_ELEMENTS__RIGHT_ELEMENT

  The meta object literal for the 'Right Element' reference feature.

### MATCH3_ELEMENTS

    static final org.eclipse.emf.ecore.EClass MATCH3_ELEMENTS

  The meta object literal for the '`Match3 Elements`' class.

  See Also:
    `Match3ElementsImpl`, `MatchPackageImpl.getMatch3Elements()`

### MATCH3_ELEMENTS__ORIGIN_ELEMENT

    static final org.eclipse.emf.ecore.EReference MATCH3_ELEMENTS__ORIGIN_ELEMENT

  The meta object literal for the 'Origin Element' reference feature.

### UNMATCH_ELEMENT

    static final org.eclipse.emf.ecore.EClass UNMATCH_ELEMENT

  The meta object literal for the '`Unmatch Element`' class.

  See Also:
    `UnmatchElementImpl`, `MatchPackageImpl.getUnmatchElement()`

### UNMATCH_ELEMENT__ELEMENT

    static final org.eclipse.emf.ecore.EReference UNMATCH_ELEMENT__ELEMENT

  The meta object literal for the 'Element' reference feature.

### UNMATCH_ELEMENT__CONFLICTING

    static final org.eclipse.emf.ecore.EAttribute UNMATCH_ELEMENT__CONFLICTING

  The meta object literal for the 'Conflicting' attribute feature.

### UNMATCH_ELEMENT__REMOTE

    static final org.eclipse.emf.ecore.EAttribute UNMATCH_ELEMENT__REMOTE

  The meta object literal for the 'Remote' attribute feature.

### UNMATCH_ELEMENT__SIDE

    static final org.eclipse.emf.ecore.EAttribute UNMATCH_ELEMENT__SIDE

  The meta object literal for the 'Side' attribute feature.

### MATCH_RESOURCE_SET

    static final org.eclipse.emf.ecore.EClass MATCH_RESOURCE_SET

  The meta object literal for the '`Resource Set`' class.

  See Also:
    `MatchResourceSetImpl`, `MatchPackageImpl.getMatchResourceSet()`

### MATCH_RESOURCE_SET__MATCH_MODELS

    static final org.eclipse.emf.ecore.EReference MATCH_RESOURCE_SET__MATCH_MODELS

  The meta object literal for the 'Match Models' containment reference list feature.

### MATCH_RESOURCE_SET__UNMATCHED_MODELS

    static final org.eclipse.emf.ecore.EReference MATCH_RESOURCE_SET__UNMATCHED_MODELS

  The meta object literal for the 'Unmatched Models' containment reference list feature.

### SIDE

    static final org.eclipse.emf.ecore.EEnum SIDE

  The meta object literal for the '`Side`' enum.

  See Also:
    `Side`, `MatchPackageImpl.getSide()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.